Product Hunt user collections
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-producthunt-users-collections \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"user": "kevin",
"max_items": 2
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-producthunt-users-collections"
payload = {
"user": "kevin",
"max_items": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({user: 'kevin', max_items: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-producthunt-users-collections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "producthunt_users_collections",
"user": "kevin",
"max_items": 2,
"start_page": 1,
"partial": false,
"human": "# Product Hunt — user collections\n\n- **User:** kevin\n- **Results:** 2\n- **Proxy traffic:** 5.9 KB",
"machine": {
"total_items": 2,
"first_item": {
"id": "airbnb-for-x",
"name": "Airbnb for X",
"url": "https://www.producthunt.com/@kevin/collections/airbnb-for-x",
"collection_id": "6335",
"title": null,
"description": null,
"products_count": 51,
"products": [
{
"name": "3D Hubs",
"product_id": "94798"
},
{
"name": "Studiotime",
"product_id": "98069"
}
],
"user": {
"id": "kevin",
"name": "Kevin William David",
"username": "kevin",
"url": "https://www.producthunt.com/@kevin",
"headline": null,
"image": "https://ph-avatars.imgix.net/79/892b0017-ec5b-4a37-aa6c-b32d62c82cae.jpeg"
},
"image": null
},
"items": [
{
"id": "airbnb-for-x",
"name": "Airbnb for X",
"url": "https://www.producthunt.com/@kevin/collections/airbnb-for-x",
"collection_id": "6335",
"title": null,
"description": null,
"products_count": 51,
"products": [
{
"name": "3D Hubs",
"product_id": "94798"
},
{
"name": "Studiotime",
"product_id": "98069"
}
],
"user": {
"id": "kevin",
"name": "Kevin William David",
"username": "kevin",
"url": "https://www.producthunt.com/@kevin",
"headline": null,
"image": "https://ph-avatars.imgix.net/79/892b0017-ec5b-4a37-aa6c-b32d62c82cae.jpeg"
},
"image": null
},
{
"id": "all-things-reddit",
"name": "All Things Reddit",
"url": "https://www.producthunt.com/@kevin/collections/all-things-reddit",
"collection_id": "4982",
"title": "Reddit communities, tools and more..",
"description": "Reddit communities, tools and more..",
"products_count": 28,
"products": [
{
"name": "narwhal for reddit",
"product_id": "102044"
},
{
"name": "Reddit",
"product_id": "113385"
}
],
"user": {
"id": "kevin",
"name": "Kevin William David",
"username": "kevin",
"url": "https://www.producthunt.com/@kevin",
"headline": null,
"image": "https://ph-avatars.imgix.net/79/892b0017-ec5b-4a37-aa6c-b32d62c82cae.jpeg"
},
"image": null
}
],
"total_found": null,
"page_count": 1,
"blocked": false,
"proxy_traffic_bytes": 6083
},
"total_points": 2
}Startup & Funding Data
Product Hunt user collections
Collections of a Product Hunt user with their size and first products, all pages. 1 point per returned record.
POST
/
functions
/
v1
/
run-producthunt-users-collections
Product Hunt user collections
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.